Subject: Re: [RFC-PATCHv2] submodules: add a background story

From: Junio C Hamano <[email-masked]>
Date: Tue, 14 Feb 2017 14:39:04 -0800

Stefan Beller <[email-masked]> writes:

>> And then after doing the "git mv" you have pushed the result, which
>> I pulled.  Now, how will your "internal mapping" propagate to me?
>
> The "name" inside your superprojects git dir may be different from mine,
> after all the name only serves the purpose to not have duplicate
> git repositories when renaming a submodule.

That is true, but you still need to convey "what I used to have at
'path' is now at 'htap'".  It is clear how to do so if we use "name"
in .gitmodules (you say "what we collectively call module A is now
at 'htap'").  I do not know how you do so without having a name.